import { Permission } from "../../meta/core/resources/permissions/permission.resource";
export declare function seedPermissionsDirectlyInDb(workspaceId?: string): Promise<void>;
export declare function createAndSeedRoleToPermission(): Promise<void>;
export declare function seedPermissionPackages(workspaceId?: string): Promise<void>;
export declare function seedResourcePermissions(resourceToPermissions: Map<string, Map<string, Permission>>, workspaceId?: string): Promise<void>;
export declare function createAndSeedPermissions(workspaceId?: string): Promise<void>;
export declare function seedAdminPermissionPackageToPermission(resourceToPermissions: Map<string, Map<string, Permission>>): Promise<void>;
export declare function seedCustomerPermissionPackageToPermission(resourceToPermissions: Map<string, Map<string, Permission>>): Promise<void>;
export declare function seedGeneralPermissionPackageToPermission(resourceToPermissions: Map<string, Map<string, Permission>>): Promise<void>;
export declare function seedWorkspaceAdminPermissionPackageToPermission(resourceToPermissions: Map<string, Map<string, Permission>>): Promise<void>;
export declare function createAndSeedPropertyPermissions(propertiesToPermissions: Map<string, Map<string, Map<string, Permission>>>, workspaceId?: string): Promise<void>;
export declare function seedSuperAdminPermissionPackageToPermission(resourceToPermissions: Map<string, Map<string, Permission>>): Promise<void>;
